// Copyright (C) 2022 - 2023, Xilinx Inc - All rights reserved
//
// Licensed under the Apache License, Version 2.0 (the "License"). You may
// not use this file except in compliance with the License. A copy of the
// License is located at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations
// under the License.

#pragma once

#include "Session.h"

namespace xma {
//////////////////////////////////////////////////////////////////////////////
class MioFilterSession : virtual public Session {
protected:
  MioFilterSession() = default;

public:
  virtual ~MioFilterSession() = default;
};

using MioFilterSessionPtr = std::shared_ptr<MioFilterSession>;

}; // Namespace xma
